edu.isi.pegasus.planner.selector.transformation

## Class Submit

- java.lang.Object
- - edu.isi.pegasus.planner.selector.TransformationSelector
  - - edu.isi.pegasus.planner.selector.transformation.Submit

    public class Submit
    extends TransformationSelector

This implementation of the Selector select a transformation of type STAGEABLE and only on the submit site.

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`mLogger, PACKAGE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Submit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List` `getTCEntry(java.util.List tcentries)` This method returns a list of TransformationCatalogEntry objects of type STATIC_BINARY and only available on the Submit machine( "local" site).

### Methods inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`loadTXSelector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Submit

    public Submit()

### Method Detail

#### getTCEntry

    public java.util.List getTCEntry(java.util.List tcentries)

This method returns a list of TransformationCatalogEntry objects of type STATIC_BINARY and only available on the Submit machine( "local" site).

Specified by:
  `getTCEntry` in class `TransformationSelector`
Parameters:
  `tcentries` - the original list of TransformationCatalogEntry objects on which the selector needs to run.
Returns:
  List